unit ufig_neuronas;

{$mode delphi}

interface

uses
  Classes, SysUtils, Graphics;

type



  TFig_Neurona = class
    x, y: integer;
    constructor Create( x, y, r: integer );
    destructor Destroy; override;
    function FigAt( xp, yp: integer ): TFig_Neurona;
  end;

  TFig_Capa = class
    figNeuronas: array of TFig_Neurona;
    constructor Create( nNeuronas: integer );
    destructor Destroy; override;
    function FigAt( xp, yp: integer ): TFig_Neurona;
  end;

  TFig_Cerebro = class
    constructor Create( radio );
    destructor Destroy; override;
  end;


implementation

end.

